Package org.w3._1999.xhtml

# Class Base

java.lang.Object
org.w3._1999.xhtml.Base

public class Base extends Object
<p>Java class for anonymous complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <attribute name="href" use="required" type="{http://www.w3.org/1999/xhtml}URI" /> <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" /> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `href`
  `protected String`
  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Base()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHref()`
  Gets the value of the href property.
  `String`
  `getId()`
  Gets the value of the id property.
  `void`
  `setHref(String value)`
  Sets the value of the href property.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### href

    protected String href

  - ### id

    protected String id

- ## Constructor Details

  - ### Base

    public Base()

- ## Method Details

  - ### getHref

    public String getHref()
    Gets the value of the href property.
    Returns:
      possible object is `String`

  - ### setHref

    public void setHref(String value)
    Sets the value of the href property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`